---
title: llarp::layers::onion::OnionStats

---

# llarp::layers::onion::OnionStats





## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[ready](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md#function-ready)**() const<br>return true if we have enough paths built to operate as a client.  |
| std::unordered_set< [OnionPathInfo](Classes/structllarp_1_1layers_1_1onion_1_1OnionPathInfo.md) > | **[built_paths](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md#function-built-paths)**() const<br>return a set of all paths that are built.  |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::unordered_set< [OnionPathInfo](Classes/structllarp_1_1layers_1_1onion_1_1OnionPathInfo.md) > | **[path](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md#variable-path)**  |
| double | **[path_success_ratio](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md#variable-path-success-ratio)**  |
| bool | **[allowing_transit](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md#variable-allowing-transit)** <br>set to true if we are routing transit traffic as a service node.  |

## Public Functions Documentation

### function ready

```cpp
bool ready() const
```

return true if we have enough paths built to operate as a client. 

### function built_paths

```cpp
std::unordered_set< OnionPathInfo > built_paths() const
```

return a set of all paths that are built. 

## Public Attributes Documentation

### variable path

```cpp
std::unordered_set< OnionPathInfo > path;
```


### variable path_success_ratio

```cpp
double path_success_ratio;
```


### variable allowing_transit

```cpp
bool allowing_transit;
```

set to true if we are routing transit traffic as a service node. 

-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000